import { OnModuleDestroy, OnModuleInit } from '@nestjs/common';
import { DiscoveryService, MetadataScanner, Reflector } from '@nestjs/core';
export declare class SchedulerService implements OnModuleInit, OnModuleDestroy {
    private readonly discoveryService;
    private readonly metadataScanner;
    private readonly reflector;
    private readonly intervals;
    private logger;
    constructor(discoveryService: DiscoveryService, metadataScanner: MetadataScanner, reflector: Reflector);
    onModuleInit(): void;
    onModuleDestroy(): void;
    private registerSchedule;
}
